# $Revision: 1.14 $, $Date: 2011/08/14 11:26:25 $
%bcond_with	doc
#
Summary:	Mailboxes synchronization tool
Summary(pl.UTF-8):	Narzędzie do synchroniczacji skrzynek pocztowych
Name:		offlineimap
Version:	6.3.4
Release:	1
License:	GPL v2
Group:		Applications/Mail
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	d08f6d19058da01c4ab7a9cb5d9e730b
Patch0:		%{name}-docs.patch
URL:		https://github.com/nicolas33/offlineimap/
BuildRequires:	rpm-pythonprov >= 4.1-13
%if %{with doc}
BuildRequires:	docutils
BuildRequires:	sphinx-pdg
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OfflineIMAP is a tool to simplify your e-mail reading. With
OfflineIMAP, you can read the same mailbox from multiple computers.
You get a current copy of your messages on each computer, and changes
you make one place will be visible on all other systems. For instance,
you can delete a message on your home computer, and it will appear
deleted on your work computer as well. OfflineIMAP is also useful if
you want to use a mail reader that does not have IMAP support, has
poor IMAP support, or does not provide disconnected operation.

%description -l pl.UTF-8
OfflineIMAP to narzędzie upraszczające czytanie poczty elektronicznej.
Za jego pomocą można czytać tą samą skrzynkę z wielu komputerów.
Pobiera się aktualną kopię wiadomości na każdym komputerze, a zmiany
dokonywane w jednym miejscu będą widoczne na wszystkich innych
systemach. Na przyklad, można usunąć wiadomość na swoim domowym
komputerze i zostanie ona usunięta także na komputerze w pracy.
OfflineIMAP jest przydatne także jeśli chcemy używać czytnika poczty
bez obsługi IMAP, z kiepską obsługą IMAP albo nie działającego bez
połączenia.

%prep
%setup -q
%patch0 -p1

%build
%if %{with doc}
%{__make} doc
%{__make} man
%endif

%install
rm -rf $RPM_BUILD_ROOT
python ./setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT%{py_sitescriptdir} -type f -name "*.py" | xargs rm
install %{name}.py $RPM_BUILD_ROOT%{_bindir}/%{name}

%if %{with doc}
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
install %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc offlineimap.conf*
%if %{with doc}
%doc Changelog.html readme.html docs/{FAQ,INSTALL,UPGRADE}.html
%{_mandir}/man1/offlineimap.1*
%endif
%attr(755,root,root) %{_bindir}/*
%{py_sitescriptdir}/%{name}
%{py_sitescriptdir}/*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: offlineimap.spec,v $
Revision 1.14  2011/08/14 11:26:25  atler
- up to 6.3.4
- doc bcond (turned off by default due to build problems in last release)
- BR: sphinx-pdg for docs

Revision 1.13  2011/06/26 15:12:24  atler
- up to 6.3.3

Revision 1.12  2011/03/02 10:27:58  atler
- up to 6.3.2

Revision 1.11  2011/01/25 14:15:45  atler
- up to 6.3.1
- homepage moved in a result of maintainer change

Revision 1.10  2010/10/15 00:29:04  atler
- noarch package
- drop unneeded python-devel

Revision 1.9  2010/08/27 10:40:03  atler
- up to 6.2.0.2
- homepage moved to github
- use dropin as source tarballs on github are created on demand and contain
  weird names
- package no longer officialy maintained
  http://article.gmane.org/gmane.mail.imap.offlineimap.general/1759

Revision 1.8  2009/04/11 23:56:03  djrzulf
- corrected source,
- updated to 6.0.3,

Revision 1.7  2008/05/10 17:11:04  japhy
- Up to 5.99.14

Revision 1.6  2007-02-13 07:16:50  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:14  baggins
- converted to UTF-8

Revision 1.4  2006/10/29 21:44:46  zbyniu
- up to 4.0.12; rel 1

Revision 1.3  2005/10/05 19:01:22  qboosh
- pl desc

Revision 1.2  2005/10/03 02:37:49  zbyniu
- install python modules, cleanups; works

Revision 1.1  2005/10/03 01:49:42  zbyniu
- new, raw
